Update import destination
curl --request PATCH \
--url https://api.prequel.co/import/destinations/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"destination": {
"name": "<string>",
"record_schema": "<unknown>",
"webhook_record": {
"max_records_per_minute": 123,
"max_concurrency": 123
},
"webhook_batch": {
"max_size_per_batch": 123,
"max_batches_per_minute": 123,
"max_concurrency": 123
}
}
}
'import requests
url = "https://api.prequel.co/import/destinations/{id}"
payload = { "destination": {
"name": "<string>",
"record_schema": "<unknown>",
"webhook_record": {
"max_records_per_minute": 123,
"max_concurrency": 123
},
"webhook_batch": {
"max_size_per_batch": 123,
"max_batches_per_minute": 123,
"max_concurrency": 123
}
} }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
destination: {
name: '<string>',
record_schema: '<unknown>',
webhook_record: {max_records_per_minute: 123, max_concurrency: 123},
webhook_batch: {max_size_per_batch: 123, max_batches_per_minute: 123, max_concurrency: 123}
}
})
};
fetch('https://api.prequel.co/import/destinations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"data": {
"destination": {
"id": "<string>",
"name": "<string>",
"type": "<string>",
"record_schema": "<unknown>",
"created_at": "<string>",
"updated_at": "<string>",
"webhook_record": {
"request_template": {
"uri": "<string>",
"headers": {},
"body": "<string>"
},
"max_records_per_minute": 123,
"max_concurrency": 123
},
"webhook_batch": {
"request_template": {
"uri": "<string>",
"headers": {},
"body": "<string>"
},
"format": "<string>",
"max_size_per_batch": 123,
"max_batches_per_minute": 123,
"max_concurrency": 123
}
}
},
"message": "<string>"
}{
"status": "<string>",
"message": "<string>",
"data": null
}{
"status": "<string>",
"message": "<string>",
"data": null
}{
"status": "<string>",
"message": "<string>",
"data": null
}{
"status": "<string>",
"message": "<string>",
"data": null
}Import Destinations
Update import destination
Update an existing import destination.
PATCH
/
import
/
destinations
/
{id}
Update import destination
Authorizations
Path Parameters
Import Destination ID.
Query Parameters
Allow updating immutable fields in staging.
Body
application/json
Show child attributes
Show child attributes
⌘I